From 6206682a35760eb6ddb25172df2ae9f03d12e594 Mon Sep 17 00:00:00 2001
From: Andy Polyakov <appro@openssl.org>
Date: Wed, 29 Aug 2012 14:19:59 +0000
Subject: [PATCH] x86cpuid.pl: hide symbols [backport from x86_64].

---
 crypto/perlasm/x86asm.pl | 2 ++
 crypto/perlasm/x86gas.pl | 2 ++
 crypto/x86cpuid.pl       | 3 +++
 3 files changed, 7 insertions(+)

diff --git a/crypto/perlasm/x86asm.pl b/crypto/perlasm/x86asm.pl
index eb543db..3f190ae 100644
--- a/crypto/perlasm/x86asm.pl
+++ b/crypto/perlasm/x86asm.pl
@@ -257,4 +257,6 @@ sub ::asm_init
     &file($filename);
 }
 
+sub ::hidden {}
+
 1;
diff --git a/crypto/perlasm/x86gas.pl b/crypto/perlasm/x86gas.pl
index 5972d06..e02ee84 100644
--- a/crypto/perlasm/x86gas.pl
+++ b/crypto/perlasm/x86gas.pl
@@ -251,4 +251,6 @@ sub ::initseg
 sub ::dataseg
 {   push(@out,".data\n");   }
 
+*::hidden = sub { push(@out,".hidden\t$nmdecor$_[0]\n"); } if ($::elf);
+
 1;
diff --git a/crypto/x86cpuid.pl b/crypto/x86cpuid.pl
index 808049a..597b7a5 100644
--- a/crypto/x86cpuid.pl
+++ b/crypto/x86cpuid.pl
@@ -455,4 +455,7 @@
 
 &initseg("OPENSSL_cpuid_setup");
 
+&hidden("OPENSSL_cpuid_setup");
+&hidden("OPENSSL_ia32cap_P");
+
 &asm_finish();
-- 
1.9.3

